import request from '@/utils/request'

// 查询钽靶主类列表
export function listMaterial(query) {
  return request({
    url: '/work/material/list-record',
    method: 'get',
    params: query
  })
}

// 查询钽靶主类详细
export function getMaterial(id) {
  return request({
    url: '/work/material/' + id,
    method: 'get'
  })
}

// 新增钽靶主类
export function addMaterial(data) {
  return request({
    url: '/work/material',
    method: 'post',
    data: data
  })
}

// 修改钽靶主类
export function updateMaterial(data) {
  return request({
    url: '/work/material',
    method: 'put',
    data: data
  })
}

// 删除钽靶主类
export function delMaterial(id) {
  return request({
    url: '/work/material/' + id,
    method: 'delete'
  })
}


export function deleteMaterial(id) {
  return request({
    url: '/work/material/delete/' + id,
    method: 'delete'
  })
}
